2016年11月3日木曜日

/etc/mysql/my.cnf.fallback doesn't existと言われたら(mysql)

apt使ってて

update-alternatives: error: alternative path /etc/mysql/my.cnf.fallback doesn't exist
dpkg: error processing package mysql-common (--configure):
 subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of mysql-client-5.7:
 mysql-client-5.7 depends on mysql-common (>= 5.5); however:
  Package mysql-common is not configured yet.

と言われたとき、


mv /etc/mysql/my.cnf /etc/mysql/my.cnf.d
touch /etc/mysql/my.cnf.fallback 

それで apt -f install


んで


mv /etc/mysql/my.cnf.d /etc/mysql/my.cnf


すればなおる。これでいいかどうかは謎。

0 件のコメント:

コメントを投稿

PocketMineの旧プラグインAPI対応方法

pmmp公式のプラグインAPIが変更となりました。 が、多くのプラグインは新APIに対応していません。 あえて新APIにプラグインを書き直す理由もわからないので、スクリプトを組みました。 Error: Declaration of DevTools\DevTools::...